org.eclipse.net4j.util.collection

## Class AbstractCloseableIterator<E>

- java.lang.Object
- - org.eclipse.net4j.util.collection.AbstractIterator<E>
  - - org.eclipse.net4j.util.collection.AbstractCloseableIterator<E>

- All Implemented Interfaces:
    java.util.Iterator<E>, Closeable, CloseableIterator<E>

      public abstract class AbstractCloseableIterator<E>
      extends AbstractIterator<E>
      implements CloseableIterator<E>

  Since:
    3.7
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.collection.AbstractIterator

      `END_OF_DATA`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractCloseableIterator()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `close()`
    `protected abstract java.lang.Object` | `computeNextElement()` Returns the next iteration element, or `AbstractIterator.END_OF_DATA` if the end of the iteration has been reached.
    `static <T> CloseableIterator<T>` | `emptyCloseable()`
    `abstract boolean` | `isClosed()`

    - ### Methods inherited from class org.eclipse.net4j.util.collection.AbstractIterator

      `empty, hasNext, next, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, hasNext, next, remove`

- - ### Constructor Detail

    - #### AbstractCloseableIterator

          public AbstractCloseableIterator()

  - ### Method Detail

    - #### computeNextElement

          protected abstract java.lang.Object computeNextElement()

      Description copied from class: `AbstractIterator`
      Returns the next iteration element, or `AbstractIterator.END_OF_DATA` if the end of the iteration has been reached.
      Specified by:
        `computeNextElement` in class `AbstractIterator<E>`

    - #### close

          public abstract void close()

      Specified by:
        `close` in interface `Closeable`

    - #### isClosed

          public abstract boolean isClosed()

      Specified by:
        `isClosed` in interface `Closeable`

    - #### emptyCloseable

          public static <T> CloseableIterator<T> emptyCloseable()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html